PIDOF(1)

BEZEICHNUNG
pidof - die Prozesskennung eines laufenden Programms ermitteln

ÜBERSICHT
pidof [-s] [-c] [-x] [-o überspringen[,überspringen…]] [-o überspringen[,überspringen…]…] [-S Trenner] Programm [Programm…]

BESCHREIBUNG
Pidof findet die Prozesskennungen (PIDs) der benannten Programme. Es schreibt diese Kennungen in die Standardausgabe.

OPTIONEN

-s  weist das Programm an, nur eine PID auszugeben.

-c  gibt nur Kennungen von Prozessen zurück, die im gleichen Wurzelverzeichnis laufen. Diese Option wird für gewöhnliche Benutzer (ohne Administratorrechte) ignoriert, da diese das aktuelle Wurzelverzeichnis nicht nach Prozessen durchsuchen können, deren Eigentümer sie nicht sind.

-x  berücksichtigt auch Skripte. Das Programm gibt auch Prozesskennungen der Shells zurück, die die benannten Skripte ausführen.

-o überspringen
    weist pidof an, Prozesse mit der angegebenen PID zu überspringen. Die spezielle PID %PPID kann verwendet werden, um den Elternprozess des pidof-Programms zu bezeichnen, also die aufrufende Shell oder das Shell-Skript.

-S Trenner
    verwendet den angegebenen Trenner zwischen den Prozesskennungen. Dieser wird nur verwendet, wenn für das Programm mehr als eine Prozesskennung ausgegeben wird.

EXIT-STATUS

0   Es wurde mindestens ein Programm mit dem angegebenen Namen gefunden.

1   Es wurde kein Programm mit dem angegebenen Namen gefunden.

FEHLER
Bei Verwendung mit der Option -x verfügt pidof nur über eine simple Methode zur Erkennung von Skripten und wird beispielsweise Skripte nicht erkennen, die env verwenden. Diese Einschränkung ist darauf zurückzuführen, wie Skripte im proc-Dateisystem aussehen.

SIEHE AUCH
pgrep(1), pkill(1)

AUTOR
Jaromir Capik <jcapik@redhat.com>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.